Package csb :: Package bio :: Package nmr :: Class NOESpectrum

[frames] | no frames]

# Class NOESpectrum

source code

    object --+
             |
            NOESpectrum

Describes an NOE spectrum.

Instance Methods

__getitem__(self, i) | source code

__init__(self, elements) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

__len__(self) | source code

__str__(self) str(x) | source code

add(self, intensity, dimensions) Add a new NOE peak. | source code

connect(self, i1, i2) Mark dimensions with indices `i1` and `i2` as covalently connected. | source code

iterable of int

connected_dimensions(self, i) Return a list of all dimension indices, covalently connected to dimension `i`. | source code

EnumItem

element(self, i) Return the chemical element (nucleus) type at dimension index `i`. | source code

bool

has_connected_dimensions(self, i) Return True of dimension index `i` has covalently connected dimensions. | source code

bool

has_element(self, e) Return True if the spectrum contains a dimension of the specified type | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Static Methods

NOESpectrum

join(spectrum, *spectra) Merge multiple NOESpectrum instances. | source code

Properties
tuple of EnumItem | dimensions Tuple of all dimensions (nucleus types)
float | max_intensity Maximum intensity
float | min_intensity Minimum intensity
int | num_dimensions Number of dimensions
int | num_proton_dimensions Number of proton dimensions
tuple of int | proton_dimensions Tuple of all proton dimension indices
Inherited from `object`: `__class__`

Method Details

### __init__(self, elements)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `elements` (iterable of EnumItem (ChemElements) or str) - list of dimension (nucleus) types for each dimension
Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

### add(self, intensity, dimensions)

source code

Add a new NOE peak.

Parameters:
  - `intensity` (float) - peak intensity
  - `dimensions` - list of dimension values
  - `dimensions` - iterable of float

### connect(self, i1, i2)

source code

Mark dimensions with indices `i1` and `i2` as covalently connected.

Parameters:
  - `i1` (int) - dimension index 1 (0-based)
  - `i2` (int) - dimension index 2 (0-based)

### connected_dimensions(self, i)

source code

Return a list of all dimension indices, covalently connected to dimension `i`.

Parameters:
  - `i` (int) - dimension index (0-based)
Returns: iterable of int

### has_connected_dimensions(self, i)

source code

Return True of dimension index `i` has covalently connected dimensions.

Parameters:
  - `i` (int) - dimension index (0-based)
Returns: bool

### has_element(self, e)

source code

Return True if the spectrum contains a dimension of the specified type

Parameters:
  - `e` (EnumItem) - element (dimension) type (see ChemElements)
Returns: bool

### join(spectrum, *spectra)
Static Method

source code

Merge multiple NOESpectrum instances. All `spectra` must have matching dimensions according to the master `spectrum`.

Returns: NOESpectrum
  merged spectrum

Property Details

### dimensions

Tuple of all dimensions (nucleus types)

Get Method:
  unreachable.dimensions(self) - Tuple of all dimensions (nucleus types)
Type:
  tuple of EnumItem

### max_intensity

Maximum intensity

Get Method:
  unreachable.max_intensity(self) - Maximum intensity
Type:
  float

### min_intensity

Minimum intensity

Get Method:
  unreachable.min_intensity(self) - Minimum intensity
Type:
  float

### num_dimensions

Number of dimensions

Get Method:
  unreachable.num_dimensions(self) - Number of dimensions
Type:
  int

### num_proton_dimensions

Number of proton dimensions

Get Method:
  unreachable.num_proton_dimensions(self) - Number of proton dimensions
Type:
  int

### proton_dimensions

Tuple of all proton dimension indices

Get Method:
  unreachable.proton_dimensions(self) - Tuple of all proton dimension indices
Type:
  tuple of int